package com.test;


import javax.ejb.embeddable.EJBContainer;
import javax.enterprise.inject.spi.BeanManager;
import javax.naming.Context;
import javax.naming.NamingException;


public class EmbeddedEJBTest {

    public static void main(String[] args) throws Exception {
        EJBContainer ejb = null;
        try {
            ejb = EJBContainer.createEJBContainer();
            Context ctx = ejb.getContext();
            checkHack(ctx);
        } finally {
            if (ejb != null) {
                ejb.close();
            }
        }
    }

    private static void checkHack(Context ctx) throws NamingException {
        BeanManagerBean hack = (BeanManagerBean) ctx.lookup("java:global/bin/BeanManagerBean");
        BeanManager bm = hack.getBeanManager();
        System.out.println("BeanManager is: " + (bm == null ? "null" : "not null"));
    }
}
